<?php

declare(strict_types=1);

namespace PpPhp\Core\Platform\Foundation;

interface PlatformObject
{
    public function identity(): PlatformIdentity;

    public function version(): PlatformVersion;

    public function metadata(): PlatformMetadata;

    public function id(): string;

    public function type(): string;

    public function label(): string;

    public function toArray(): array;
}
